Properties Methods Events Direct Link

# Class Array

Package: | Global
Defined In: | Ext.js
Class: | Array
Extends: | Object

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

indexOf( `Object o` ) : Number
Checks whether or not the specified object exists in the array.
Checks whether or not the specified object exists in the array.
Parameters:

- `o` : Object
  The object to check for

Returns:

- `Number`
  The index of o in the array (or -1 if it is not found)

Array

remove( `Object o` ) : Array
Removes the specified object from the array. If the object is not found nothing happens.
Removes the specified object from the array. If the object is not found nothing happens.
Parameters:

- `o` : Object
  The object to remove

Returns:

- `Array`
  this array

Array

## Public Events

This class has no public events.